﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Linq;
using Bridge.React;
using EleWise.ELMA.Core;
using EleWise.ELMA.Core.Controllers;
using EleWise.ELMA.Core.Services;
using EleWise.ELMA.Core.React.Models;
using EleWise.ELMA.Model.Common;
using EleWise.ELMA.Model.Validation;
using EleWise.ELMA.Model.ViewModel;
using EleWise.ELMA.Model.Views;
using EleWise.ELMA.DataClasses;
using EleWise.ELMA.Core.React.UI.Views;

namespace TestCustomInputModule.Components
{
    /// <summary>
    /// Представление компонента "BooleanCustomInput"
    /// </summary>
    partial class BooleanCustomInput
    {
        partial class Renderer
        {
            public override ReactElement Render()
            {
                return new Button(
                    new Button.Props
                    {
                        OnClick = ev => Dispatch.Invoke(c => c.Click()),
                        Style = Context.Value ? EleWise.ELMA.Core.React.UI.Views.ButtonStyle.Primary : EleWise.ELMA.Core.React.UI.Views.ButtonStyle.Danger,
                        Icon = Context.Value ? "check" : "cross"
                    }
                );
            }
        }
    }
}
